## percona-haproxy 2.5.6

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os [ARCH=arch] [CPU=cpu] USE_xxx=1 ...
#
# When in doubt, invoke help, possibly with a known target :
#   [g]make help
#   [g]make help TARGET=linux-glibc
#
# By default the detailed commands are hidden for a cleaner output, but you may
# see them by appending "V=1" to the make command.
#
# Valid USE_* options are enumerated in the "use_opts" variable and are listed
# below. Most of them are automatically set by the TARGET, others have to be
# explicitly specified :
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_EVPORTS          : enable event ports on SunOS systems. Automatic.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_PCRE_JIT         : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2            : enable use of libpcre2 for regex.
#   USE_PCRE2_JIT        : enable JIT for faster regex on libpcre2
#   USE_POLL             : enable poll(). Automatic.
#   USE_THREAD           : enable threads support.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_STATIC_PCRE2     : enable static libpcre2.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable encrypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
#   USE_LUA              : enable Lua support.
#   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
#   USE_CLOSEFROM        : enable use of closefrom() on *bsd, solaris. Automatic.
#   USE_PRCTL            : enable use of prctl(). Automatic.
#   USE_PROCCTL          : enable use of procctl(). Automatic.
#   USE_ZLIB             : enable zlib library support and disable SLZ
#   USE_SLZ              : enable slz library instead of zlib (default=enabled)
#   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
#   USE_RT               : enable it if your system requires -lrt. Automatic on Linux.
#   USE_BACKTRACE        : enable backtrace(). Automatic on Linux.
#   USE_PROMEX           : enable the Prometheus exporter
#   USE_DEVICEATLAS      : enable DeviceAtlas api.
#   USE_51DEGREES        : enable third party device detection library from 51Degrees
#   USE_WURFL            : enable WURFL detection library from Scientiamobile
#   USE_SYSTEMD          : enable sd_notify() support.
#   USE_OBSOLETE_LINKER  : use when the linker fails to emit __start_init/__stop_init
#   USE_THREAD_DUMP      : use the more advanced thread state dump system. Automatic.
#   USE_OT               : enable the OpenTracing filter
#   USE_MEMORY_PROFILING : enable the memory profiler. Linux-glibc only.
#   USE_LIBATOMIC        : force to link with/without libatomic. Automatic.
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string). The list of enabled and disabled options for a
# given TARGET is enumerated at the end of "make help".
#
# Variables useful for packagers :
#   CC is set to "cc" by default and is used for compilation only.
#   LD is set to "cc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   DEP may be cleared to ignore changes to include files during development
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ERR may be set to non-empty to pass -Werror to the compiler
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#   HLUA_PREPEND_PATH may be used to prepend a folder to Lua's default package.path.
#   HLUA_PREPEND_CPATH may be used to prepend a folder to Lua's default package.cpath.
#
# Other variables :
#   PCRE_CONFIG    : force the binary path to get pcre config (by default
#                                                              pcre-config)
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
#                                                               pcre2-config)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.3, lua53, lua).
#   OT_DEBUG       : compile the OpenTracing filter in debug mode
#   OT_INC         : force the include path to libopentracing-c-wrapper
#   OT_LIB         : force the lib path to libopentracing-c-wrapper
#   OT_RUNPATH     : add RUNPATH for libopentracing-c-wrapper to haproxy executable
#   OT_USE_VARS    : allows the use of variables for the OpenTracing context
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   EXTRAVERSION   : local version string to append (e.g. build number etc)
#   VERDATE        : force haproxy's release date.
#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
#   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details

# verbosity: pass V=1 for verbose shell invocation
V = 0
Q = @
ifeq ($V,1)
Q=
endif

# WARNING: Do not change cc-opt, cc-opt-alt or cc-warning without checking if
#          clang bug #49364 is fixed. stderr is redirected to /dev/null on
#          purpose, to work around a clang 11 bug that crashes if stderr is
#          redirected to stdin.
#
# Function used to detect support of a given option by the compiler.
# Usage: CFLAGS += $(call cc-opt,option). Eg: $(call cc-opt,-fwrapv)
# Note: ensure the referencing variable is assigned using ":=" and not "=" to
#       call it only once.
cc-opt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; fi;)

# same but emits $2 if $1 is not supported
cc-opt-alt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; else echo "$(2)"; fi;)

# Disable a warning when supported by the compiler. Don't put spaces around the
# warning! And don't use cc-opt which doesn't always report an error until
# another one is also returned.
# Usage: CFLAGS += $(call cc-nowarn,warning). Eg: $(call cc-opt,format-truncation)
cc-nowarn = $(shell set -e; if $(CC) -Werror -W$(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "-Wno-$(1)"; fi;)

#### Installation options.
DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specific target OS among the
# following list (use the default "generic" if uncertain) :
#    linux-glibc, linux-glibc-legacy, linux-musl, solaris, freebsd, freebsd-glibc,
#    dragonfly, openbsd, netbsd, cygwin, haiku, aix51, aix52, aix72-gcc, osx, generic,
#    custom
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, power8, power9, custom,
#    a53, a72, armv81, armv8-auto
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
CC = cc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Add -Werror when set to non-empty
ERR =

#### May be used to force running a specific set of reg-tests
REG_TEST_FILES =
REG_TEST_SCRIPT=./scripts/run-regtests.sh

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings.
# We rely on signed integer wraparound on overflow, however clang think it
# can do whatever it wants since it's an undefined behavior, so use -fwrapv
# to be sure we get the intended behavior.
SPEC_CFLAGS := -Wall -Wextra -Wundef -Wdeclaration-after-statement
SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,$(call cc-opt,-fno-strict-overflow))
SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
SPEC_CFLAGS += $(call cc-nowarn,unused-label)
SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
SPEC_CFLAGS += $(call cc-nowarn,clobbered)
SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
SPEC_CFLAGS += $(call cc-nowarn,string-plus-int)
SPEC_CFLAGS += $(call cc-nowarn,atomic-alignment)
SPEC_CFLAGS += $(call cc-opt,-Wtype-limits)
SPEC_CFLAGS += $(call cc-opt,-Wshift-negative-value)
SPEC_CFLAGS += $(call cc-opt,-Wshift-overflow=2)
SPEC_CFLAGS += $(call cc-opt,-Wduplicated-cond)
SPEC_CFLAGS += $(call cc-opt,-Wnull-dereference)

ifneq ($(ERR),)
SPEC_CFLAGS += -Werror
endif

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Use quotes and spaces if multiple options are needed (the DEBUG variables is

=== debian/changelog ===
percona-haproxy (2.5.6-1) unstable; urgency=medium

  * Update to new haproxy version 2.5.6

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 26 May 2022 17:31:16 +0000

percona-haproxy (2.5.6-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 26 May 2022 17:31:16 +0000

## percona-haproxy 2.5.9

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,9 @@
 #   DESTDIR is not set by default and is used for installation only.
 #           It might be useful to set DESTDIR if you want to install haproxy
 #           in a sandbox.
+#   INSTALL is set to "install" by default and is used to provide the name of
+#           the install binary used by the install targets and any additional
+#           flags.
 #   PREFIX  is set to "/usr/local" by default and is used for installation only.
 #   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
 #           only.
@@ -103,7 +106,7 @@
 #   LUA_LIB        : force the lib path to lua
 #   LUA_INC        : force the include path to lua
 #   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
-#                                        priority : lua5.3, lua53, lua).
+#                                        priority : lua5.4, lua54, lua5.3, lua53, lua).
 #   OT_DEBUG       : compile the OpenTracing filter in debug mode
 #   OT_INC         : force the include path to libopentracing-c-wrapper
 #   OT_LIB         : force the lib path to libopentracing-c-wrapper
@@ -146,6 +149,7 @@
 
 #### Installation options.
 DESTDIR =
+INSTALL = install
 PREFIX = /usr/local
 SBINDIR = $(PREFIX)/sbin
 MANDIR = $(PREFIX)/share/man
@@ -223,8 +227,3 @@
 # macros include :
 #    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
 # Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
-SMALL_OPTS =
-
-#### Debug settings
-# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
-# Use quotes and spaces if multiple options are needed (the DEBUG variables is

=== debian/changelog ===
percona-haproxy (2.5.9-1) unstable; urgency=medium

  * Update to new haproxy version 2.5.9

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 17 Oct 2022 17:41:46 +0000

percona-haproxy (2.5.9-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 17 Oct 2022 17:41:46 +0000

## percona-haproxy 2.5.11

=== debian/changelog ===
percona-haproxy (2.5.11-1) unstable; urgency=medium

  * Update to new haproxy version 2.5.11

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sun, 19 Feb 2023 23:46:26 +0000

percona-haproxy (2.5.11-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 19 Feb 2023 23:46:26 +0000

## percona-haproxy 2.6.13

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 #   USE_CRYPT_H          : set it if your system requires including crypt.h
 #   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
 #   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
+#   USE_ENGINE           : enable use of OpenSSL Engine.
 #   USE_LUA              : enable Lua support.
 #   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
 #   USE_CLOSEFROM        : enable use of closefrom() on *bsd, solaris. Automatic.
@@ -138,14 +139,37 @@
 #       call it only once.
 cc-opt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; fi;)
 
-# same but emits $2 if $1 is not supported
-cc-opt-alt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; else echo "$(2)"; fi;)
+# same but tries with $2 if $1 is not supported
+cc-opt-alt = $(if $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo 1;fi),$(1),$(call cc-opt,$(2)))
+
+# validate a list of options one at a time
+cc-all-opts  = $(foreach a,$(1),$(call cc-opt,$(a)))
+
+# try to pass plenty of options at once, take them on success or try them
+# one at a time on failure and keep successful ones. This is handy to quickly
+# validate most common options.
+cc-all-fast = $(if $(call cc-opt,$(1)),$(1),$(call cc-all-opts,$(1)))
+
+# Below we verify that the compiler supports any -Wno-something option to
+# disable any warning, or if a special option is needed to achieve that. This
+# will allow to get rid of testing when the compiler doesn't care. The result
+# is made of two variables:
+#  - cc-anywno that's non-empty if the compiler supports disabling anything
+#  - cc-wnouwo that may contain an option needed to enable this behavior
+# Gcc 4.x and above do not need any option but will still complain about unknown
+# options if another warning or error happens, and as such they're not testable.
+# Clang needs a special option -Wno-unknown-warning-option. Compilers not
+# supporting this option will check all warnings individually.
+cc-anywno := $(call cc-opt,-Wno-haproxy-warning)
+cc-wnouwo := $(if $(cc-anywno),,$(call cc-opt,-Wno-unknown-warning-option))
+cc-anywno := $(if $(cc-anywno)$(cc-wnouwo),1)
 
 # Disable a warning when supported by the compiler. Don't put spaces around the
 # warning! And don't use cc-opt which doesn't always report an error until
-# another one is also returned.
+# another one is also returned. If "cc-anywno" is set, the compiler supports
+# -Wno- followed by anything so we don't even need to start the compiler.
 # Usage: CFLAGS += $(call cc-nowarn,warning). Eg: $(call cc-opt,format-truncation)
-cc-nowarn = $(shell set -e; if $(CC) -Werror -W$(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "-Wno-$(1)"; fi;)
+cc-nowarn = $(if $(cc-anywno),-Wno-$(1),$(shell set -e; if $(CC) -Werror -W$(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "-Wno-$(1)"; fi;))
 
 #### Installation options.
 DESTDIR =
@@ -197,33 +221,3 @@
 # We rely on signed integer wraparound on overflow, however clang think it
 # can do whatever it wants since it's an undefined behavior, so use -fwrapv
 # to be sure we get the intended behavior.
-SPEC_CFLAGS := -Wall -Wextra -Wundef -Wdeclaration-after-statement
-SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,$(call cc-opt,-fno-strict-overflow))
-SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
-SPEC_CFLAGS += $(call cc-nowarn,unused-label)
-SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
-SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
-SPEC_CFLAGS += $(call cc-nowarn,clobbered)
-SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
-SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
-SPEC_CFLAGS += $(call cc-nowarn,string-plus-int)
-SPEC_CFLAGS += $(call cc-nowarn,atomic-alignment)
-SPEC_CFLAGS += $(call cc-opt,-Wtype-limits)
-SPEC_CFLAGS += $(call cc-opt,-Wshift-negative-value)
-SPEC_CFLAGS += $(call cc-opt,-Wshift-overflow=2)
-SPEC_CFLAGS += $(call cc-opt,-Wduplicated-cond)
-SPEC_CFLAGS += $(call cc-opt,-Wnull-dereference)
-
-ifneq ($(ERR),)
-SPEC_CFLAGS += -Werror
-endif
-
-#### Memory usage tuning
-# If small memory footprint is required, you can reduce the buffer size. There
-# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
-# with 1000 concurrent sessions. Putting it slightly lower than a page size
-# will prevent the additional parameters to go beyond a page. 8030 bytes is
-# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
-# macros include :
-#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
-# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024

=== debian/changelog ===
percona-haproxy (2.6.13-1) unstable; urgency=medium

  * Update to new haproxy version 2.6.13

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 12 May 2023 10:01:37 +0000

percona-haproxy (2.6.13-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 12 May 2023 10:01:37 +0000

## percona-haproxy 2.8.1

=== debian/changelog ===
percona-haproxy (2.8.1-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 25 Jul 2023 08:44:39 +0000

percona-haproxy (2.8.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 25 Jul 2023 08:44:39 +0000

## percona-haproxy 2.8.2

=== debian/changelog ===
percona-haproxy (2.8.2-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.2

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 13 Sep 2023 20:17:18 +0000

percona-haproxy (2.8.2-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 13 Sep 2023 20:17:18 +0000

## percona-haproxy 2.8.3

=== debian/changelog ===
percona-haproxy (2.8.3-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 23 Oct 2023 15:04:41 +0000

percona-haproxy (2.8.3-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 23 Oct 2023 15:04:41 +0000

## percona-haproxy 2.8.5

=== debian/changelog ===
percona-haproxy (2.8.5-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.5

 -- Debian <debian@minimal-buster-x64-16204.ci.percona.com>  Mon, 08 Jan 2024 11:47:41 +0000

percona-haproxy (2.8.5-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 08 Jan 2024 11:47:41 +0000

## percona-haproxy 2.8.9

=== debian/changelog ===
percona-haproxy (2.8.9-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.9

 -- root <root@10aae06ab84b>  Thu, 09 May 2024 17:38:15 +0000

percona-haproxy (2.8.9-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 09 May 2024 17:38:15 +0000

## percona-haproxy 2.8.10

=== debian/changelog ===
percona-haproxy (2.8.10-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.10

 -- root <root@5bea7639bfb4>  Wed, 31 Jul 2024 12:34:20 +0000

percona-haproxy (2.8.10-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 31 Jul 2024 12:34:20 +0000

## percona-haproxy 2.8.11

=== debian/changelog ===
percona-haproxy (2.8.11-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.11

 -- root <root@f1bf2823ff2d>  Mon, 11 Nov 2024 10:30:08 +0000

percona-haproxy (2.8.11-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 11 Nov 2024 10:30:08 +0000

## percona-haproxy 2.8.13

=== debian/changelog ===
percona-haproxy (2.8.13-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.13

 -- root <root@e47f8e879847>  Fri, 14 Feb 2025 09:03:47 +0000

percona-haproxy (2.8.13-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 14 Feb 2025 09:03:47 +0000

## percona-haproxy 2.8.14

=== debian/changelog ===
percona-haproxy (2.8.14-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.14

 -- root <root@08db804b3299>  Tue, 11 Mar 2025 10:49:55 +0000

percona-haproxy (2.8.14-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 11 Mar 2025 10:49:55 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=V=1 \
	 DESTDIR=debian/percona-haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE2=1 \
	 USE_PCRE2_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1 \
	 USE_LUA=1 \
	 USE_PROMEX=1 \
	 LUA_INC=/usr/include/lua5.3

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
	MAKEARGS+= USE_REGPARM=1
endif

ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4,$(DEB_HOST_ARCH)),)
	MAKEARGS+= ADDLIB="-latomic -Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
else
	MAKEARGS+= ADDLIB="-Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
endif

MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C admin/systemd $(MAKEARGS)
	make admin/halog/halog
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	for doc in intro configuration management; do \
		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
			-i $(CURDIR)/doc/$${doc}.txt \
			-o $(CURDIR)/doc/$${doc}.html ;\
	done
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C admin/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/percona-haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/percona-haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="percona-haproxy-dbg"

## percona-haproxy 2.8.15

=== debian/changelog ===
percona-haproxy (2.8.15-1) unstable; urgency=medium

  * Update to new haproxy version 2.8.15

 -- root <root@2458f4bad4a3>  Wed, 20 Aug 2025 17:11:04 +0000

percona-haproxy (2.8.15-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 20 Aug 2025 17:11:04 +0000

=== debian/control ===
Source: percona-haproxy
Section: net
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends: debhelper (>= 9.0.0),
               libpcre2-dev,
               libssl-dev,
               liblua5.3-dev,
               libsystemd-dev [linux-any],
               python3-sphinx,
               zlib1g-dev
Build-Depends-Indep: python3, python3-mako

Package: percona-haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: dpkg (>= 1.17.14)
Provides: haproxy
Suggests: percona-vim-haproxy, percona-haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: percona-haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Provides: haproxy-doc
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: percona-vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Provides: vim-haproxy
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.
